﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace k_thermo_pid
{


    public partial class Form2 : Form
    {
        public delegate void RefreshEventHandler(object sender, EventArgs e);
        [Category("動作")]
        [Description("情報を更新するときに発生するイベント。")]
        public event RefreshEventHandler RefreshEvent;

        public delegate void CloseEventHandler(object sender, EventArgs e);
        [Category("動作")]
        [Description("ダイアログを閉じたときに発生するイベント。")]
        public event CloseEventHandler CloseEvent;

        public Form2()
        {
            InitializeComponent();
            PBox.Text = "100";
            IBox.Text = "1000";
            DBox.Text = "30";
        }

        private void Pidset_Click(object sender, EventArgs e)
        {
            int i = int.Parse(PBox.Text);
            if (i < 0)
            {
                MessageBox.Show("pは0から100までです。", "エラー",
                    MessageBoxButtons.OK, MessageBoxIcon.Error);
                return;
            }

            i = int.Parse(IBox.Text);
            if (i < 0 || i > 32768)
            {
                MessageBox.Show("iは0から32767までです。", "エラー",
                    MessageBoxButtons.OK, MessageBoxIcon.Error);
                return;
            }

            i = int.Parse(DBox.Text);
            if (i < 0 || i > 32768)
            {
                MessageBox.Show("dは0から32767までです。", "エラー",
                    MessageBoxButtons.OK, MessageBoxIcon.Error);
                return;
            }

            this.RefreshEvent(this, new EventArgs());
            this.Close();

        }

        private void Form2_FormClosing(object sender, FormClosingEventArgs e)
        {
            this.CloseEvent(this, new EventArgs());
        }

        private void key_p(object sender, KeyPressEventArgs e)
        {

            if (char.IsControl(e.KeyChar) || char.IsDigit(e.KeyChar))
            {
                e.Handled = false;
                return;
            }

            e.Handled = true;

        }

        private void key_i(object sender, KeyPressEventArgs e)

        {
            if (char.IsControl(e.KeyChar) || char.IsDigit(e.KeyChar))
            {
                e.Handled = false;
                return;
            }

            e.Handled = true;

        }

        private void key_d(object sender, KeyPressEventArgs e)
        {
            if (char.IsControl(e.KeyChar) || char.IsDigit(e.KeyChar))
            {
                e.Handled = false;
                return;
            }

            e.Handled = true;

        }

    }
}