﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace k_thermo_pid
{
    public partial class Form5 : Form
    {
        public delegate void RefreshEventHandler(object sender, EventArgs e);
        [Category("動作")]
        [Description("情報を更新するときに発生するイベント。")]
        public event RefreshEventHandler RefreshEvent;

        public delegate void CloseEventHandler(object sender, EventArgs e);
        [Category("動作")]
        [Description("ダイアログを閉じたときに発生するイベント。")]
        public event CloseEventHandler CloseEvent;

        public Form5()
        {
            InitializeComponent();
            voltage.Text = "0";
        }

        private void Button1_Click(object sender, EventArgs e)
        {
            int i = int.Parse(voltage.Text);
            if (i < 0 || i>100)
            {
                MessageBox.Show("電圧はは0から100までです。", "エラー",
                    MessageBoxButtons.OK, MessageBoxIcon.Error);
                return;
            }

            this.RefreshEvent(this, new EventArgs());
            this.Close();
        }

        private void Form5_FormClosing(object sender, FormClosingEventArgs e)
        {
            this.CloseEvent(this, new EventArgs());
        }

        private void Key_v(object sender, KeyPressEventArgs e)
        {
            if (char.IsControl(e.KeyChar) || char.IsDigit(e.KeyChar))
            {
                e.Handled = false;
                return;
            }

            e.Handled = true;
        }

    }
}
